version: '3'

services: 
  whoami:
    image: "containous/whoami"
    restart: always
    container_name: "whoami"
    networks:
      - proxy
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.whoami-secure.entrypoints=https"
      - "traefik.http.routers.whoami-secure.rule=Host(`whoami.mrdev023.fr`)"
      - "traefik.http.routers.whoami-secure.tls=true"
      - "traefik.http.routers.whoami-secure.tls.certresolver=sslResolver"
      # - "traefik.http.routers.whoami-secure.service=whoami"
      # - "traefik.http.services.whoami.loadbalancer.server.port=9002"
      - "traefik.docker.network=proxy"

networks:
  proxy:
    external: true
